Package com.collibra.catalog.api.component.schema.dto

# Class RefreshJdbcSchemaRequest.Builder

Object
Builder

Enclosing class:
  `RefreshJdbcSchemaRequest`

public static class RefreshJdbcSchemaRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RefreshJdbcSchemaRequest`
  `build()`
  `RefreshJdbcSchemaRequest.Builder`
  `cronExpression(String cronExpression)`
  `RefreshJdbcSchemaRequest.Builder`
  `cronTimeZone(String cronTimeZone)`
  `RefreshJdbcSchemaRequest.Builder`
  `detectAdvancedDataTypes(boolean detectAdvancedDataTypes)`
  `RefreshJdbcSchemaRequest.Builder`
  `executeProfiling(boolean executeProfiling)`
  `RefreshJdbcSchemaRequest.Builder`
  `extractDataSample(boolean extractDataSample)`
  `RefreshJdbcSchemaRequest.Builder`
  `jdbcConnectionString(String jdbcConnectionString)`
  `RefreshJdbcSchemaRequest.Builder`
  `jdbcDriverId(UUID jdbcDriverId)`
  `RefreshJdbcSchemaRequest.Builder`
  `jobServer(String jobServer)`
  `RefreshJdbcSchemaRequest.Builder`
  `overridePassword(boolean overridePassword)`
  `RefreshJdbcSchemaRequest.Builder`
  `password(char[] password)`
  `RefreshJdbcSchemaRequest.Builder`
  `properties(Map<String,String> properties)`
  `RefreshJdbcSchemaRequest.Builder`
  `schemaId(UUID schemaId)`
  `RefreshJdbcSchemaRequest.Builder`
  `storeCredentials(boolean storeCredentials)`
  `RefreshJdbcSchemaRequest.Builder`
  `tablesToSkip(List<String> tablesToSkip)`
  `String`
  `toString()`
  `RefreshJdbcSchemaRequest.Builder`
  `user(String user)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### schemaId

    public RefreshJdbcSchemaRequest.Builder schemaId(UUID schemaId)
    Returns:
      `this`.

  - ### jdbcDriverId

    public RefreshJdbcSchemaRequest.Builder jdbcDriverId(UUID jdbcDriverId)
    Returns:
      `this`.

  - ### properties

    public RefreshJdbcSchemaRequest.Builder properties(Map<String,String> properties)
    Returns:
      `this`.

  - ### user

    public RefreshJdbcSchemaRequest.Builder user(String user)
    Returns:
      `this`.

  - ### password

    public RefreshJdbcSchemaRequest.Builder password(char[] password)
    Returns:
      `this`.

  - ### jdbcConnectionString

    public RefreshJdbcSchemaRequest.Builder jdbcConnectionString(String jdbcConnectionString)
    Returns:
      `this`.

  - ### storeCredentials

    public RefreshJdbcSchemaRequest.Builder storeCredentials(boolean storeCredentials)
    Returns:
      `this`.

  - ### overridePassword

    public RefreshJdbcSchemaRequest.Builder overridePassword(boolean overridePassword)
    Returns:
      `this`.

  - ### cronExpression

    public RefreshJdbcSchemaRequest.Builder cronExpression(String cronExpression)
    Returns:
      `this`.

  - ### cronTimeZone

    public RefreshJdbcSchemaRequest.Builder cronTimeZone(String cronTimeZone)
    Returns:
      `this`.

  - ### extractDataSample

    public RefreshJdbcSchemaRequest.Builder extractDataSample(boolean extractDataSample)
    Returns:
      `this`.

  - ### executeProfiling

    public RefreshJdbcSchemaRequest.Builder executeProfiling(boolean executeProfiling)
    Returns:
      `this`.

  - ### detectAdvancedDataTypes

    public RefreshJdbcSchemaRequest.Builder detectAdvancedDataTypes(boolean detectAdvancedDataTypes)
    Returns:
      `this`.

  - ### tablesToSkip

    public RefreshJdbcSchemaRequest.Builder tablesToSkip(List<String> tablesToSkip)
    Returns:
      `this`.

  - ### jobServer

    public RefreshJdbcSchemaRequest.Builder jobServer(String jobServer)
    Returns:
      `this`.

  - ### build

    public RefreshJdbcSchemaRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`